# ezQuake Manual: Sound Variables

- MP3 Settings
- Sound Settings

## MP3 Settings Variables

### mp3_grabvolume

This variable has been deleted

#### Description

Toggles client control of your music player volume.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

#### Values

value | description
1 | Control volume of your music player.
0 | Do not get / set volume of your music player.

### mp3_player

#### Description

Selects the MP3 player that will be controlled within EzQuake.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: winamp

#### Values

value | description
winamp |
audacious |
xmms2 |
xmms |
mpd |

Windows - winamp supported Linux - audacious, xmms2, xmms, mpd supported Mac - None

### mp3_scrolltitle

#### Description

Toggles scrolling of the song info in mp3 player control window.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Enable song info scrolling.
0 | Do not scroll song info text.

### mp3_showtime

#### Description

Toggles displaying song time information in mp3 player control window.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
0 | Do not display song time information.
1 | Display song time and total time of currently played song.
2 | Display remaining time only.

### mp3_volume

This variable has been deleted

#### Description

Controls volume of your external music player.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.
Use values from 0 to 1.

### mp3_winamp_dir

#### Description

Tells your client the path where it should look for your external music player.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: c:/program files/winamp

Variable is string.

## Sound Settings Variables

### bgmvolume

#### Description

This variable sets the volume of the CD music.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### cl_staticSounds

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Enable static sounds.
0 | Disable static sounds.

### sys_inactiveSound

#### Description

Enables sounds when the application is not focused

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 |
0 |

### s_ambientfade

#### Description

How fast the volume of ambient sounds changes as you move around the map.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 100

Variable is float.

### s_ambientlevel

#### Description

Volume level of ambient sounds (produced by liquid and sky brushes).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.3

Variable is float.

### s_bits

#### Description

This defines how many sampling bits should be used, when using 16 bits the interpolation quality will be better.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 16

#### Values

value | description
8 | 8 bit sound
16 | 16 bit sound

Linux only. Use s_restart after you change it.

### s_device

#### Description

Allows you to choose from multiple sound devices.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: plug:hw

Variable is string.
device name

Linux only. Use s_restart after you change it. For OSS you should use "/dev/dsp", "/dev/dsp0", "/dev/dsp1", etc For ALSA use "default", "dmix", etc

### s_khz

#### Description

The client includes "sound interpolation" which allows it to play sounds at higher frequencies, than the default 11025 Hz with perfect quality. In addition to "s_khz" also "s_bits" (linux only) will have an influence on interpolation quality. This variable allows you to choose the frequency you want to interpolate the sounds to. You will quickly discover, that the shaft sound is different at increased sampling rate. That's because shaft sounds were recorded at 22050 kHz, so probably that's how they should sound from the beginning. If you don't like it, you can always convert them to 11025.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 11

#### Values

value | description
11 | 11khz sound (default)
22 | 22khz sound
44 | 44khz sound
48 | 48khz sound (Linux only)

Also you can change it 'on fly' - just do snd_restart after you change s_khz

### s_loadas8bit

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | On (The sound samples will be loaded in 8-bit mode thus making them a little smaller.
0 | Off.

This will give a little performance boost when playing the game at the cost of quality for the sound samples.)

### s_mixahead

#### Description

This variable defines the delay time for sounds. How low you can set your sound mixahead depends on your FPS, when you set it too low, your sound will start crackling. Generally, with 72 FPS you should be able to use a delay of 0.06 seconds, if you use the command-line switch "-primarysound", you may be able to go even lower, but results may vary on this.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.1

Variable is float.

### s_mm1_file

#### Description

You can specify notification sound for messagemode1 (/messagemode or /say foo) messages.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: misc/talk.wav

Variable is float.

### s_mm1_volume

#### Description

You can specify volume of notification sound for messagemode1 (/messagemode or /say foo) messages.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### s_mm2_file

#### Description

You can specify notification sound for messagemode2 (/messagemode2 or /say_team foo) messages.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: misc/talk.wav

Variable is float.

### s_mm2_volume

#### Description

You can specify volume of notification sound for messagemode2 (/messagemode2 or /say_team foo) messages.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### s_noalsa

#### Description

Determinates sound output for linux clients: ALSA (0=default) or OSS.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
0 | Use ALSA sound output
1 | Use OSS sound output

If you dont know what is ALSA and OSS - leave it at default value.

### s_noextraupdate

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Don't use extra sound updates. Gives a slight fps boost, but may lead to choppy sound on low-end machines
0 | Makes Quake update its sound buffers more often to avoid choppy sound when your fps is really low (20 or worse)

### s_nosound

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Disable the playback of sounds. Note that it effectively just resets sound volume to zero, but the sound engine still runs. If you want disable sound in order to get more fps, use the -nosound command line option instead.
0 | Enable the playback of sounds.

### s_otherchat_file

#### Description

You can specify notification sound for other messages (than messagemode, messagemode2 and from spectators).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: misc/talk.wav

Variable is float.

### s_otherchat_volume

#### Description

You can specify volume of notification sound for other messages (than messagemode, messagemode2 and from spectators).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### s_precache

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Enable automatic sound caching.
0 | Disable automatic sound caching.

### s_show

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Enable that the number of currently playing sound files is displayed.
0 | Disable that the number of currently playing sound files is displayed.

### s_spec_file

#### Description

You can specify notification sound for spectator messages.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: misc/talk.wav

Variable is float.

### s_spec_volume

#### Description

You can specify volume of notification sound for spectator messages.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### s_stereo

#### Description

Use stereo or mono sound

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | stereo
0 | mono

Linux only. Use s_restart after you change it.

### s_swapstereo

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Will swap left and right sound channels.
0 | Off

### volume

This variable has been updated

#### Description

Sets sound volume.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.7

Variable is float.
Use values from 0 to 1.

Even higher values than 1 are possible, but sound quality degrades.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz | ezQDocs